﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace C1ReportInMVC.Models
{
    public class ReportModel
    {
        public string DocName { get; set; }
        public string ReportName { get; set; }
        public SelectList Countries { get; private set; }

        public ReportModel(string docName, string reportName, IEnumerable countries, string selectedCountry)
        {
            DocName = docName;
            ReportName = reportName;
            Countries = new SelectList(countries, selectedCountry);
        }
    }
}